package com.seatel.mobilehall.ui.home.model;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.util.List;

public class ValuePackSecTwoModel {
    @SerializedName("title")
    @Expose
    private String title;

    @SerializedName("subTitle")
    @Expose
    private String subTitle;

    @SerializedName("table")
    @Expose
    private List<ValuePackTableModel> table = null;

    @SerializedName("addOn")
    @Expose
    private List<ValuePackTableModel> addon = null;

    @SerializedName("featureList")
    @Expose
    private List<String> featureList = null;

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getSubTitle() {
        return subTitle;
    }

    public void setSubTitle(String subTitle) {
        this.subTitle = subTitle;
    }

    public List<ValuePackTableModel> getAddon() {
        return addon;
    }

    public void setAddon(List<ValuePackTableModel> addon) {
        this.addon = addon;
    }

    public List<ValuePackTableModel> getTable() {
        return table;
    }

    public List<String> getFeatureList() {
        return featureList;
    }

    public void setFeatureList(List<String> featureList) {
        this.featureList = featureList;
    }

    @Override
    public String toString() {
        return "DataPackSecTwoModel{" +
                "title='" + title + '\'' +
                ", subTitle='" + subTitle + '\'' +
                ", table=" + table + '\'' +
                ", addon=" + addon +
                '}';
    }

    public void setTable(List<ValuePackTableModel> table) {
        this.table = table;
    }
}
